Bug 619183 - [abrt] gwibber-1:2.31.2-7.fc14: accounts.py:250:account_show:TypeError: __init__() takes at most 2 arguments (3 given)
Summary: [abrt] gwibber-1:2.31.2-7.fc14: accounts.py:250:account_show:TypeError: __ini...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:93ade994
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-28 19:28 UTC by Iliyan Stoyanov
Modified: 2010-08-20 02:08 UTC (History)
1 user (show)

Fixed In Version: gwibber-2.31.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 01:54:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.11 KB, text/plain)
2010-07-28 19:28 UTC, Iliyan Stoyanov
no flags Details

Description Iliyan Stoyanov 2010-07-28 19:28:40 UTC
abrt version: 1.1.10
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gwibber-accounts
component: gwibber
executable: /usr/bin/gwibber-accounts
kernel: 2.6.35-0.56.rc6.git1.fc14.x86_64
package: gwibber-1:2.31.2-7.fc14
reason: accounts.py:250:account_show:TypeError: __init__() takes at most 2 arguments (3 given)
release: Fedora release 14 (Rawhide)
time: 1280345275
uid: 100

backtrace
-----
accounts.py:250:account_show:TypeError: __init__() takes at most 2 arguments (3 given)

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gwibber/accounts.py", line 229, in on_button_create_clicked
    self.account_show(service, icon)
  File "/usr/lib/python2.6/site-packages/gwibber/accounts.py", line 250, in account_show
    aw = globals()[service_id].AccountWidget(account, self.ui)
TypeError: __init__() takes at most 2 arguments (3 given)

Local variables in innermost frame:
account: {'service': 'buzz'}
service: {u'authtype': u'oauth1a', u'name': u'Buzz', u'color': u'#0773DD', u'version': u'1.0', u'default_streams': [u'receive'], u'config': [u'color', u'receive_enabled', u'send_enabled', u'username', u'access_token', u'secret_token'], u'features': [u'receive', u'send', u'reply', u'send_thread', u'user_messages']}
vbox_account: <gtk.VBox object at 0x22c72d0 (GtkVBox at 0x1f98290)>
self: <gwibber.accounts.GwibberAccountManager object at 0x22c9510>
child: <AccountWidget object at 0x22c7690 (GtkVBox at 0x237d290)>
service_id: 'buzz'
icon: <gtk.gdk.Pixbuf object at 0x22c7410 (GdkPixbuf at 0x2438c00)>

How to reproduce
-----
1. from gwibber edit->accounts
2. select buzz
3. press add

Comment 1 Iliyan Stoyanov 2010-07-28 19:28:42 UTC
Created attachment 435113 [details]
File: backtrace

Comment 2 Fedora Update System 2010-08-09 20:25:03 UTC
gwibber-2.31.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12

Comment 3 Fedora Update System 2010-08-09 20:29:56 UTC
gwibber-2.31.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13

Comment 4 Fedora Update System 2010-08-10 21:27:00 UTC
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12

Comment 5 Fedora Update System 2010-08-10 21:32:27 UTC
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13

Comment 6 Fedora Update System 2010-08-20 01:49:32 UTC
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-08-20 02:03:50 UTC
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.